Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# os_dirent.h File Reference

`#include "ace/config-all.h"`
`#include "ace/os_include/sys/os_types.h"`
`#include "ace/os_include/os_limits.h"`

Include dependency graph for os_dirent.h:

This graph shows which files directly or indirectly include this file:

## Classes
struct | dirent
## Defines
#define | MAXNAMLEN NAME_MAX
#define | ACE_DIRENT dirent
## Typedefs
typedef int | ACE_DIR

## Detailed Description

format of directory entries

Id
  os_dirent.h,v 1.8 2006/02/10 09:28:47 jwillemsen Exp

Author:
  Don Hinton <dhinton@dresystems.com>

  This code was originally in various places including ace/OS.h.

## Define Documentation

#define ACE_DIRENT dirent

#define MAXNAMLEN NAME_MAX

## Typedef Documentation

typedef DIR ACE_DIR